Skip to content
API Reference

Retrieve

client.organizations.retrieve(stringorganizationID, OrganizationRetrieveParams { expand, xClientRequestID } params?, RequestOptionsoptions?): Organization { id, created_at, label, 4 more }
GET/organizations/{organization_id}

Get organization by ID or label

ParametersExpand Collapse
organizationID: string

Organization ID or label identifier

minLength1
maxLength255
params: OrganizationRetrieveParams { expand, xClientRequestID }
expand?: Array<"permissions" | "total_count">

Query param: Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

Accepts one of the following:
"permissions"
"total_count"
xClientRequestID?: string

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
Organization { id, created_at, label, 4 more }
id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
created_at: string

The time the entity was created in utc

formatdate-time
label: string

A domain name segment for the entity, often derived from the name.

maxLength63
name: string

A name for the entity to be displayed in UI

sso_enabled: boolean

Whether SSO is enabled for this organization

updated_at: string

The time the entity was mostly recently updated in utc

formatdate-time
permissions?: Record<string, Record<string, boolean>>

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Retrieve

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI();

const organization = await client.organizations.retrieve('x');

console.log(organization.id);
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
  "name": "name",
  "sso_enabled": true,
  "updated_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
  "name": "name",
  "sso_enabled": true,
  "updated_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}